docs

# SimpleRequest

interface SimpleRequest < T : Any > : Request < T >
Content copied to clipboard

## Functions

method
Link copied to clipboard
abstract fun method (): String
Content copied to clipboard

## Properties

requestSerializer
Link copied to clipboard
abstract val requestSerializer : SerializationStrategy<*>
Content copied to clipboard
resultDeserializer
Link copied to clipboard
abstract val resultDeserializer : DeserializationStrategy< T >
Content copied to clipboard

## Inheritors

DeleteMessage
Link copied to clipboard
ForwardMessage
Link copied to clipboard
GetUpdates
Link copied to clipboard
SetPassportDataErrors
Link copied to clipboard
StopPoll
Link copied to clipboard
AnswerCallbackQuery
Link copied to clipboard
AnswerInlineQuery
Link copied to clipboard
AnswerWebAppQuery
Link copied to clipboard
AnswerPreCheckoutQuery
Link copied to clipboard
AnswerShippingQuery
Link copied to clipboard
MyCommandsRequest
Link copied to clipboard
ClearMyDefaultAdministratorRights
Link copied to clipboard
GetMe
Link copied to clipboard
GetMyDefaultAdministratorRights
Link copied to clipboard
SetMyDefaultAdministratorRights
Link copied to clipboard
ExportChatInviteLink
Link copied to clipboard
LeaveChat
Link copied to clipboard
ChatInviteLinkRequest
Link copied to clipboard
ChatMemberRequest
Link copied to clipboard
ChatSenderRequest
Link copied to clipboard
GetChat
Link copied to clipboard
GetChatAdministrators
Link copied to clipboard
GetChatMemberCount
Link copied to clipboard
GetChatMenuButton
Link copied to clipboard
GetDefaultChatMenuButton
Link copied to clipboard
ChatJoinRequestAnswer
Link copied to clipboard
DeleteChatPhoto
Link copied to clipboard
PinChatMessage
Link copied to clipboard
SetChatDescription
Link copied to clipboard
SetChatMenuButton
Link copied to clipboard
SetChatPermissions
Link copied to clipboard
SetChatTitle
Link copied to clipboard
SetDefaultChatMenuButton
Link copied to clipboard
UnpinAllChatMessages
Link copied to clipboard
UnpinChatMessage
Link copied to clipboard
DeleteChatStickerSet
Link copied to clipboard
SetChatStickerSet
Link copied to clipboard
EditChatMessage
Link copied to clipboard
EditInlineMessage
Link copied to clipboard
GetGameHighScores
Link copied to clipboard
SetGameScore
Link copied to clipboard
GetFile
Link copied to clipboard
GetStickerSet
Link copied to clipboard
GetUserProfilePhotos
Link copied to clipboard
Close
Link copied to clipboard
LogOut
Link copied to clipboard
CopyMessage
Link copied to clipboard
SendChatMessageRequest
Link copied to clipboard
DataRequest
Link copied to clipboard
DeleteStickerFromSet
Link copied to clipboard
SetStickerPositionInSet
Link copied to clipboard
StickerSetAction
Link copied to clipboard
DeleteWebhook
Link copied to clipboard
GetWebhookInfo
Link copied to clipboard